namespace MyOffice.Web.Models.Account;

using AutoMapper;

using MyOffice.Services.Currency.Domain;
using Currency;
using Item;
using Motion;
using Services.Account.Domain;
using User;
using MyOffice.Services.Identity;

/*public class CustomResolver : IValueResolver<AccountAccessDto, AccessRightsViewModel, bool>
{
	private readonly ILogger<CustomResolver> _logger;
	private readonly IContextProvider _contextProvider;

	public CustomResolver(
		ILogger<CustomResolver> logger,
		IContextProvider contextProvider
	)
	{
		_logger = logger;
		_contextProvider = contextProvider;
	}

	public bool Resolve(AccountAccessDto source, AccessRightsViewModel destination, bool member, ResolutionContext context)
	{
		return source.OwnerId == _contextProvider.UserId;
	}
}*/

/*public class PublicationSystemResolver : IMemberValueResolver<object, object, string, bool>
{
	private readonly IContextProvider _contextProvider;

	public PublicationSystemResolver(
		IContextProvider contextProvider
	)
	{
		this._contextProvider = contextProvider;
	}

	public bool Resolve(object source, object destination, string sourceMember, bool destMember, ResolutionContext context)
	{
		return true;
	}
}*/